﻿$ErrorActionPreference = 'Stop';
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'french_language_pack.msi'

#Based on Msi
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'SMART French Language Pack*'
  file          = $fileLocation
  fileType      = 'msi'
  silentArgs    = "/qn /norestart /l*v `"$env:TEMP\$env:ChocolateyPackageName.$env:ChocolateyPackageVersion.log`" ALLUSERS=1"
  validExitCodes= @(0,1641,3010)
  url           = ""
  checksum      = 'D4E0EA264519CE5B2F367E5564932AF436D89862717FA290E40577D26A532A64'
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= 'sha256'
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyInstallPackage @packageArgs

<#
== MSI Properties ==
These are the PROPERTIES of the MSI, some of which you can add or change to the silent args or add as package parameters
Note: This only captures what ends up in the MSI Property/AppSearch tables and is not guaranteed to cover all properties.


ARPURLINFOABOUT=http://www.smarttech.com
ARPNOMODIFY=**Property found in SecureCustomProperties**
ALLUSERS=**Property found in SecureCustomProperties**
STRINGS_FILE_PATH=SMART Technologies\SMART Product Update\ACTLanguages\Languages\fr\aw_education_bundle.strings
LANG_PACK=1
DISALLOW_DOWNLOAD=1
ARPPRODUCTICON=CommonFiles_Icon
DRIVERS_PATH=**Property found in SecureCustomProperties**
GALLERY_DIR=**Property found in SecureCustomProperties**
GALLERY_EXISTS=**Property found in SecureCustomProperties**
GALLERYCMDLINE=**Property found in SecureCustomProperties**
NOTEBOOK_PATH=**Property found in SecureCustomProperties**
WIX_DOWNGRADE_DETECTED=**Property found in SecureCustomProperties**
WIX_UPGRADE_DETECTED=**Property found in SecureCustomProperties**
DRIVERS_PATH=**Value is determined by MSI function**
NOTEBOOK_PATH=**Value is determined by MSI function**
GALLERY_DIR=**Value is determined by MSI function**
GALLERY_EXISTS=**Value is determined by MSI function**
SPU_FOLDER=**Value is used in MSI custom action RegisterLessonActivityCollection**
LATCMDLINE=**Value is used in MSI custom action LaunchLATGallerySetup**
INSTALLDIR=**Value is used in MSI custom action SetARPINSTALLLOCATION**
#>

